#!/usr/bin/python3
import subprocess

print("1.cgi_SystemManager.py")
print("2.cgi_SectionManager.py")
print("3.cgi_RFSweep.py")
print("4.cgi_RFAmp.py")
print("5.cgi_PICManager.py")
print("6.cgi_IpCfgManager.py")
print("7.cgi_DemuxPointLut.py")
print("8.cgi_DemuxMap.py")
print("9.cgi_TECManager.py")
print("10.cgi_FeaturesManager.py")
print("11.cgi_Function.py")
print("12.cgi_PIcLinkManager.py")
print("13.cgi_EmailManager.py")
print("14.cgi_ModeMap.py")
print("15.cgi_ModePointLut.py")
print("16.cgi_CombMap.py")
print("17.cgi_CombPointLut.py")
print("18.cgi_iDrive.py")
print("19.cgi_Serial.py")

print("\n")

choice = int(input("Enter Cgi Choice: "))
print("\n")

if choice == 1:
    subprocess.call(["python", "cgi_SystemManager.py"])
elif choice == 2:
    subprocess.call(["python", "cgi_SectionManager.py"])
elif choice == 3:
    subprocess.call(["python", "cgi_RFSweep.py"])
elif choice == 4:
    subprocess.call(["python", "cgi_RFAmp.py"])
elif choice == 5:
    subprocess.call(["python", "cgi_PICManager.py"])
elif choice == 6:
    subprocess.call(["python", "cgi_IpCfgManager.py"])
elif choice == 7:
    subprocess.call(["python", "cgi_DemuxPointLut.py"])
elif choice == 8:
    subprocess.call(["python", "cgi_DemuxMap.py"])
elif choice == 9:
    subprocess.call(["python", "cgi_TECManager.py"])
elif choice == 10:
    subprocess.call(["python", "cgi_FeaturesManager.py"])

elif choice == 11:
    # subprocess.call(["python","cgi_Function.py"])
    print("Need Cgi for this Choice")
elif choice == 12:
    # subprocess.call(["python","cgi_PIcLinkManager.py"])
    print("Need Cgi for this Choice")
elif choice == 13:
    # subprocess.call(["python","cgi_EmailManager.py"])
    print("Need Cgi for this Choice")
elif choice == 14:
    # subprocess.call(["python","cgi_ModeMap.py"])
    print("Need Cgi for this Choice")
elif choice == 15:
    # subprocess.call(["python","cgi_ModePointLut.py"])
    print("Need Cgi for this Choice")
elif choice == 16:
    # subprocess.call(["python","cgi_CombMap.py"])
    print("Need Cgi for this Choice")
elif choice == 17:
    # subprocess.call(["python","cgi_CombPointLut.py"])
    print("Need Cgi for this Choice")
elif choice == 18:
    # subprocess.call(["python","cgi_iDrive.py"])
    print("Need Cgi for this Choice")
elif choice == 19:
    # subprocess.call(["python","cgi_Serial.py"])
    print("Need Cgi for this Choice")
else:
    pass
